Package Details: eggnogg+ 20151221-2

Git Clone URL: https://aur.archlinux.org/eggnogg+.git (read-only, click to copy)
Package Base: eggnogg+
Description: A competitive arcade game of immortals sword-fighting to the death
Upstream URL: https://madgarden.itch.io/eggnogg
Licenses: nonfree
Submitter: MCMic
Maintainer: MCMic
Last Packager: MCMic
Votes: 3
Popularity: 0.000000
First Submitted: 2017-07-27 21:18 (UTC)
Last Updated: 2017-08-07 15:25 (UTC)

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

lapinot commented on 2023-02-25 04:31 (UTC) (edited on 2023-02-25 04:34 (UTC) by lapinot)

@hvksmr1996 the download method is slightly unreliable, keep trying it will succeed.

Maybe we could make the download a bit more stubborn like this?

diff --git a/PKGBUILD b/PKGBUILD
index 73c333b..386239e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -20,7 +20,15 @@ prepare() {

 build() {
   cd ${srcdir}/
-  game_url=$(curl -s -XPOST "https://madgarden.itch.io/eggnogg/file/138869?after_download_lightbox=true" | grep -Po '"url":.*?[^\\]",' | cut -c8- | rev |cut -c3- | rev | sed 's/\\\//\//g')
+  n_try=0
+  while [ -z "$game_url" -a "$n_try" -lt 3 ]; do
+    game_url=$(curl -s -XPOST "https://madgarden.itch.io/eggnogg/file/138869?after_download_lightbox=true" | grep -Po '"url":.*?[^\\]",' | cut -c8- | rev |cut -c3- | rev | sed 's/\\\//\//g')
+    n_try=$(($n_try+1))
+  done
+  if [ -z "$game_url" ]; then
+    echo "Could not download the file. Maybe try again?"
+    exit 1
+  fi
   curl -o eggnoggplus-linux.zip ${game_url}
   unzip -o eggnoggplus-linux.zip
 }

For anybody wondering, i got my 2018 bug solved some time ago: if you're running on wayland you need to force SDL_VIDEODRIVER=x11 (going through xwayland).

hvksmr1996 commented on 2022-07-24 03:22 (UTC)

Error:

==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
curl: no URL specified!
curl: try 'curl --help' for more information
==> ERROR: A failure occurred in build().
    Aborting...

MCMic commented on 2018-09-19 13:36 (UTC)

@lapinot No sorry I never had this problem, I played again recently fullscreen with no problem.

lapinot commented on 2018-09-03 11:34 (UTC)

Hi, since some time the game UI does not show up when i set mode to fullscreen (but i hear the music). I looked intensively at the strace output but i really didn't see anything special. Any idea?

prezdev commented on 2018-07-29 23:21 (UTC)

Muchas gracias! genial juego. Ya voté por él! saludos!

MCMic commented on 2017-08-04 16:24 (UTC)

Thanks, fixed

<deleted-account> commented on 2017-07-27 23:22 (UTC)

Missing the depend gendesk.